import { ObservableLike } from "@reactive-js/observable";
import { WebResponseBodyLike } from "./interfaces";
import { AbstractDisposable, DisposableLike } from "@reactive-js/disposable";
export declare class HttpResponseBodyImpl extends AbstractDisposable implements WebResponseBodyLike {
    readonly body: ObservableLike<unknown> & DisposableLike;
    constructor(body: ObservableLike<unknown> & DisposableLike);
    arrayBuffer(): ObservableLike<ArrayBuffer>;
    blob(): ObservableLike<Blob>;
    text(): ObservableLike<string>;
}
//# sourceMappingURL=httpResponseBody.d.ts.map